package com.kmalbz.database.service

import com.kmalbz.api.model.ApiObject
import kotlinx.datetime.LocalDateTime

interface IResultObjectService{
    fun addOne(apiObject: ApiObject)
    suspend fun getAllResultObjects(): List<ApiObject>
    suspend fun getCount(): Long
    suspend fun getPage(page: Long): List<ApiObject>
    suspend fun getResultObjectbyTag(tag: String): ApiObject?
    suspend fun getResultObjectbyDate(date: LocalDateTime): List<ApiObject>
    suspend fun getResultObjectbeforeDate(date: LocalDateTime): List<ApiObject>
    suspend fun getResultObjectafterDate(date: LocalDateTime): List<ApiObject>
    suspend fun getResultObjecGreaterthanProbability(probability: Double): List<ApiObject>
    suspend fun getResultObjecLessthanProbability(probability: Double): List<ApiObject>
    suspend fun getResultObjecEqualsProbability(probability: Double): List<ApiObject>
}